<?php

class Movie {

	/**
	* @access private
	* @var string
	*/
	private $lID;

	/**
	* @access private
	* @var string
	*/
	private $lName;

	private $lDuration;
	private $lFileSize;

	/**
	* Constructor. This creates a Movie object.
	* @param int $pFilename
	* @return Movie
	*/
	function __construct($pFilename) {
		if ( ($lMovieInfo = @stat($pFilename)) !== false) {
			$this->lID = trim($pFilename);
			$this->lFileSize = $lMovieInfo["size"];
			$lMovieInfo = pathinfo($this->lID);
			$this->lName = trim(str_ireplace(array("ESiR","dvd","vpc","rip","Sels","proper","dvdrip","axxo","klaxxon","fxg","xvid","divx","SLeT","SiLENT","vhs","bluray","x264","sinners","720p","DiSSOLVE","deity","1080p","HDTV","iLL","AEN","nlsubs","Gaiagrim","DVDSCR","AC3","BDRip","KLN","TVRip","()","NLT","release","pdtv","lol","xor","riot","immerse"),"",$lMovieInfo["filename"]));
			while (substr($this->lName,-1) == "-") {
				$this->lName = trim(substr($this->lName,0,-1));
			}
			while (substr($this->lName,0,1) == "-") {
				$this->lName = trim(substr($this->lName,1));
			}
			$this->lName = trim(str_ireplace(array("[]","( - )"),"",$this->lName));
			$this->lName = trim(str_ireplace(array(".","_")," ",$this->lName));
			$this->lName = ucfirst(trim(str_ireplace("-"," - ",$this->lName)));
			$this->lDuration = -1;
		}
	}

	public function loadInfo() {
		if (Settings::getMediaInfoxecutable() != "") {
			$lMovieMediaInfo = new MediaInfo($this->lID);
			$this->lDuration = $lMovieMediaInfo->getDuration() * 1; // In miliseconds
			unset($lMovieMediaInfo);
		}
	}

	/**
	* Get the channel ID.
	* @return string
	*/
	public function getID() {
		return trim($this->lID);
	}

	/**
	* Get the channel name.
	* @return string
	*/
	public function getName() {
		return trim($this->lName);
	}

	/**
	* Get the duration.
	* @return int
	*/
	public function getDuration() {
		return $this->lDuration;
	}

	/**
	* Get the file size.
	* @return int
	*/
	public function getFileSize() {
		return trim($this->lFileSize);
	}
}
?>